aboutsummaryrefslogtreecommitdiffstats
path: root/aai-traversal/src/main/scripts
diff options
context:
space:
mode:
authorVenkata Harish K Kajur <vk250x@att.com>2017-06-16 17:04:44 -0400
committerVenkata Harish K Kajur <vk250x@att.com>2017-06-16 17:19:03 -0400
commitc87550c395bcb26bc9e6b4716cd2a25ae97694eb (patch)
treee2ae64762dc4973a860aab9d8257f5f8ef2753b4 /aai-traversal/src/main/scripts
parent4d0bc004f38567750fb31f407fc495c0dee28b29 (diff)
[AAI-ONAP] Add missing named queries fix model del
Add the missing thunderbolt named queries Fix model-based delete functionality Change-Id: Ib49f7a50cefff3a402eed1bfbfc716052ba91538 Signed-off-by: Venkata Harish K Kajur <vk250x@att.com>
Diffstat (limited to 'aai-traversal/src/main/scripts')
-rw-r--r--aai-traversal/src/main/scripts/deleteTool.sh132
1 files changed, 132 insertions, 0 deletions
diff --git a/aai-traversal/src/main/scripts/deleteTool.sh b/aai-traversal/src/main/scripts/deleteTool.sh
new file mode 100644
index 0000000..02b72b0
--- /dev/null
+++ b/aai-traversal/src/main/scripts/deleteTool.sh
@@ -0,0 +1,132 @@
+#!/bin/ksh
+
+###
+# ============LICENSE_START=======================================================
+# org.openecomp.aai
+# ================================================================================
+# Copyright (C) 2017 AT&T Intellectual Property. All rights reserved.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+# ============LICENSE_END=========================================================
+###
+
+#
+# The script is called with a resource to be deleted.
+# Uses aaiconfig.properties for authorization type and url.
+# It invokes a GET on the resource using curl and parses the resource-version.
+# If found, prompts the user to continue and invokes DELETE using curl.
+# responses in the range of 200 to 299 are considered successful
+#
+
+# remove leading slash when present
+RESOURCE=`echo $1 | sed "s,^/,,"`
+if [ -z $RESOURCE ]; then
+ echo "resource parameter is missing"
+ echo "usage: $0 resource"
+ exit 1
+fi
+echo `date` " Starting $0 for resource $RESOURCE"
+
+XFROMAPPID="AAI-TOOLS"
+XTRANSID=`uuidgen`
+XTRANSID1=`uuidgen`
+
+userid=$( id | cut -f2 -d"(" | cut -f1 -d")" )
+if [ "${userid}" != "aaiadmin" ]; then
+ echo "You must be aaiadmin to run $0. The id used $userid."
+ exit 1
+fi
+
+. /etc/profile.d/aai.sh
+PROJECT_HOME=/opt/app/aai-traversal
+prop_file=$PROJECT_HOME/bundleconfig/etc/appprops/aaiconfig.properties
+log_dir=$PROJECT_HOME/logs/misc
+today=$(date +\%Y-\%m-\%d)
+
+MISSING_PROP=false
+RESTURL=`grep ^aai.server.url= $prop_file |cut -d'=' -f2 |tr -d "\015"`
+if [ -z $RESTURL ]; then
+ echo "Property [aai.server.url] not found in file $prop_file"
+ MISSING_PROP=true
+fi
+USEBASICAUTH=false
+BASICENABLE=`grep ^aai.tools.enableBasicAuth $prop_file |cut -d'=' -f2 |tr -d "\015"`
+if [ -z $BASICENABLE ]; then
+ USEBASICAUTH=false
+else
+ USEBASICAUTH=true
+ CURLUSER=`grep ^aai.tools.username $prop_file |cut -d'=' -f2 |tr -d "\015"`
+ if [ -z $CURLUSER ]; then
+ echo "Property [aai.tools.username] not found in file $prop_file"
+ MISSING_PROP=true
+ fi
+ CURLPASSWORD=`grep ^aai.tools.password $prop_file |cut -d'=' -f2 |tr -d "\015"`
+ if [ -z $CURLPASSWORD ]; then
+ echo "Property [aai.tools.password] not found in file $prop_file"
+ MISSING_PROP=true
+ fi
+fi
+
+if [ $MISSING_PROP = false ]; then
+ if [ $USEBASICAUTH = false ]; then
+ AUTHSTRING="--cert $PROJECT_HOME/bundleconfig/etc/auth/aaiClientPublicCert.pem --key $PROJECT_HOME/bundleconfig/etc/auth/aaiClientPrivateKey.pem"
+ else
+ AUTHSTRING="-u $CURLUSER:$CURLPASSWORD"
+ fi
+ RESOURCEVERSION=`curl --request GET -sL -k $AUTHSTRING -H "X-FromAppId: $XFROMAPPID" -H "X-TransactionId: $XTRANSID1" -H "Accept: application/json" $RESTURL$RESOURCE|awk -F"\"resource-version\":\"" '{print $2}' | cut -d\" -f1`
+ echo "resource-version is" $RESOURCEVERSION
+ if [ -z $RESOURCEVERSION ]; then
+ echo "failed to get resource-version for $RESOURCE"
+ echo `date` " Done $0, returning -1"
+ exit -1
+ fi
+ echo "Are you sure you would like to delete $RESOURCE? (y, n)"
+ read USERINPUT
+ if [ "$USERINPUT" != "y" ]; then
+ echo "user chose to exit before delete"
+ echo `date` " Done $0, returning -1"
+ exit -1
+ fi
+
+ result=`curl --request DELETE -sL -w "%{http_code}" -o /dev/null -k $AUTHSTRING -H "X-FromAppId: $XFROMAPPID" -H "X-TransactionId: $XTRANSID" -H "Accept: application/json" $RESTURL$RESOURCE?resource-version=$RESOURCEVERSION`
+ echo "result is $result."
+ RC=0;
+ if [ $? -eq 0 ]; then
+ case $result in
+ +([0-9])?)
+ if [[ "$result" -ge 200 && $result -lt 300 ]]
+ then
+ echo "DELETE result is OK, $result"
+ else
+ echo "failed DELETE request, response code was $result"
+ RC=$result
+ fi
+ ;;
+ *)
+ echo "DELETE request failed, response was $result"
+ RC=-1
+ ;;
+
+ esac
+ else
+ echo "FAILED to send request to $RESTURL"
+ RC=-1
+ fi
+else
+ echo "usage: $0 resource"
+ RC=-1
+fi
+
+echo
+echo `date` " Done $0, returning $RC"
+exit $RC